Product comparison · 2 wired routers

Linksys LN3121-KE wired router Gigabit Ethernet Black vs TP-Link TD-W9970B wired router Fast Ethernet White

Add a product
  • 34specifications compared
  • 20differ
  • 14identical
  • 66known for one product only

Key differences

The TP-Link TD-W9970B wired router Fast Ethernet White has 2.08 dBi more antenna gain level (max) than the Linksys LN3121-KE wired router Gigabit Ethernet Black (5 dBi vs 2.92 dBi). The Linksys LN3121-KE wired router Gigabit Ethernet Black has 2 more antennas quantity than the TP-Link TD-W9970B wired router Fast Ethernet White (4 vs 2). The Linksys LN3121-KE wired router Gigabit Ethernet Black has 1 A more output current than the TP-Link TD-W9970B wired router Fast Ethernet White (2 A vs 1 A). Only the TP-Link TD-W9970B wired router Fast Ethernet White has DSL WAN. Only the TP-Link TD-W9970B wired router Fast Ethernet White has universal Plug and Play (UPnP).

  • DSL WAN
    • LN3121-KE wired router Gigabit Ethernet Black:No
    • TD-W9970B wired router Fast Ethernet White:Yes
  • Ethernet interface type
    • LN3121-KE wired router Gigabit Ethernet Black:Gigabit Ethernet
    • TD-W9970B wired router Fast Ethernet White:Fast Ethernet
  • Ethernet LAN data rates
    • LN3121-KE wired router Gigabit Ethernet Black:10,100,1000 Mbit/s
    • TD-W9970B wired router Fast Ethernet White:10,100 Mbit/s
  • Frequency range
    • LN3121-KE wired router Gigabit Ethernet Black:5.470 - 5.850 GHz
    • TD-W9970B wired router Fast Ethernet White:2.4
  • Universal Plug and Play (UPnP)
    • LN3121-KE wired router Gigabit Ethernet Black:No
    • TD-W9970B wired router Fast Ethernet White:Yes
  • USB version
    • LN3121-KE wired router Gigabit Ethernet Black:USB 3.2 Gen 2x2
    • TD-W9970B wired router Fast Ethernet White:2.0
  • Product colour
    • LN3121-KE wired router Gigabit Ethernet Black:Black
    • TD-W9970B wired router Fast Ethernet White:White
  • On/off switch
    • LN3121-KE wired router Gigabit Ethernet Black:No
    • TD-W9970B wired router Fast Ethernet White:Yes

Side by side

Differences highlightedShow differences only (on)
Comparison of LN3121-KE, TD-W9970B
100 specifications
WAN connection1 differ
DSL WANDiffersNoYes
SIM card slotKnown for oneNoUnknown — not stated by the source
3G/4G USB modem compatibilityKnown for oneNoUnknown — not stated by the source
SFP WANKnown for oneNoUnknown — not stated by the source
Network4 differ
Networking standardsDiffersIEEE 802.11a, IEEE 802.11ac, IEEE 802.11ax, IEEE 802.11b, IEEE 802.11gIEEE 802.11b, IEEE 802.11g, IEEE 802.11n
Ethernet interface typeDiffersGigabit EthernetFast Ethernet
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Data transfer rateKnown for one5400 Mbit/sUnknown — not stated by the source
Port forwardingKnown for oneYesUnknown — not stated by the source
Automatic channel selectionKnown for oneYesUnknown — not stated by the source
Supports ISDN connectionKnown for oneNoUnknown — not stated by the source
Frequency rangeDiffers5.470 - 5.850 GHz2.4
Cabling technologyKnown for oneUnknown — not stated by the source10/100Base-T(X)
Signal strengthKnown for oneUnknown — not stated by the source20 dBm
Mobile networkidentical
Mobile network generationKnown for oneNot supportedUnknown — not stated by the source
DSL featuresidentical
Internal modemKnown for oneNoUnknown — not stated by the source
VDSL2Known for oneUnknown — not stated by the sourceYes
Management features1 differ
Universal Plug and Play (UPnP)DiffersNoYes
Priority mappingKnown for oneYesUnknown — not stated by the source
WPS push buttonKnown for oneYesUnknown — not stated by the source
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
WAN/Ethernet LAN ports quantityKnown for one1Unknown — not stated by the source
WAN ports quantityKnown for one1Unknown — not stated by the source
Number of console portsKnown for one0Unknown — not stated by the source
USB charging portKnown for oneYesUnknown — not stated by the source
USB versionDiffersUSB 3.2 Gen 2x22.0
DC-in jackKnown for oneYesUnknown — not stated by the source
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
Security2 differ
Security algorithmsDiffersWPA2, WPA364-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Firewall securityDiffersSPINetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewall
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportKnown for oneUnknown — not stated by the sourcePPTP, L2TP, IPSec Pass-through
Packaging contentidentical
ManualKnown for oneYesUnknown — not stated by the source
Quick start guideKnown for oneYesUnknown — not stated by the source
User Guide on CD-ROMKnown for oneNoUnknown — not stated by the source
Batteries includedKnown for oneNoUnknown — not stated by the source
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45), Phone (RJ-11)
Certificatesidentical
PSTI certifiedKnown for oneYesUnknown — not stated by the source
Waste Electrical and Electronic Equipment (WEEE) complianceKnown for oneYesUnknown — not stated by the source
Sustainability complianceKnown for oneYesUnknown — not stated by the source
Supplier featuresidentical
Product or Article Information Sheet available?Known for oneYesUnknown — not stated by the source
Featuresidentical
Built-in processorKnown for oneYesUnknown — not stated by the source
Processor manufacturerKnown for oneQualcommUnknown — not stated by the source
Processor frequencyKnown for one1000 MHzUnknown — not stated by the source
Windows operating systems supportedKnown for oneUnknown — not stated by the sourceWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 H
Mac operating systems supportedKnown for oneUnknown — not stated by the sourceYes
Linux operating systems supportedKnown for oneUnknown — not stated by the sourceYes
CertificationKnown for oneUnknown — not stated by the sourceCE, RoHS
Design2 differ
Product colourDiffersBlackWhite
Housing materialKnown for onePlasticUnknown — not stated by the source
Rack mountingKnown for oneNoUnknown — not stated by the source
Wall mountableKnown for oneNoUnknown — not stated by the source
LED indicatorsKnown for oneLightUnknown — not stated by the source
Built-in displayKnown for oneNoUnknown — not stated by the source
On/off switchDiffersNoYes
Country of originKnown for oneVietnamUnknown — not stated by the source
Antenna2 differ
Antenna gain level (max)Differs2.92 dBi5 dBi
Antennas quantityDiffers42
Detachable antenna(s)Known for oneNoUnknown — not stated by the source
Power2 differ
Power source typeDiffersACDC
AC input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC input frequencyKnown for one50/60 HzUnknown — not stated by the source
Output currentDiffers2 A1 A
Operational conditions2 differ
Operating temperature (T-T)Differs0 - 50 °C0 - 40 °C
Storage temperature (T-T)Differs-20 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Weight & dimensions3 differ
WidthDiffers215 mm195 mm
DepthDiffers150 mm130 mm
HeightDiffers215 mm36 mm
WeightKnown for one710 gUnknown — not stated by the source
Packaging dataidentical
Package widthKnown for one225 mmUnknown — not stated by the source
Package depthKnown for one87 mmUnknown — not stated by the source
Package heightKnown for one240 mmUnknown — not stated by the source
Package weightKnown for one1.15 kgUnknown — not stated by the source
Package typeKnown for oneBoxUnknown — not stated by the source
Protocolsidentical
DHCP clientKnown for oneUnknown — not stated by the sourceYes
DHCP serverKnown for oneUnknown — not stated by the sourceYes
DMZ supportKnown for oneUnknown — not stated by the sourceYes
Routing protocolsKnown for oneUnknown — not stated by the sourceRIP-1, RIP-2
Management protocolsKnown for oneUnknown — not stated by the sourceHTTP, SNMP V1/V2C, CWMP(TR-069)
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVC
Other featuresidentical
Supported WAN typeKnown for oneUnknown — not stated by the sourceEWAN

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons